import * as i0 from "@angular/core";
export declare class TranslationService {
    private translationMap;
    getText(key: any, ...parameters: string[]): string;
    protected getTranslation(key: string): string;
    protected createTranslationMap(data: any): Map<string, string>;
    getUserLanguage(): string;
    getUserDateFormat(): "DD.MM.YYYY" | "MM/DD/YYYY";
    getSupportedLanguageCodes(): string[];
    private getTranslations;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslationService>;
}
